//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         vb2.h
//   
// PURPOSE:      Header file for HSLIDE subclass EuroCtrl project
//   
// COMMENTS:     
//   
//****************************************************************************                    

#ifndef RC_INVOKED
//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------

PPROPINFO proplistHslide_Vb2[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_MOUSEPOINTER,
    PPROPINFO_STD_DRAGMODE,
    PPROPINFO_STD_DRAGICON,
    PPROPINFO_STD_TABINDEX,
    PPROPINFO_STD_TABSTOP,
    PPROPINFO_STD_TAG,
    PPROPINFO_STD_FORECOLOR,
    &Property_hslide_About,
    &propinfohslideButtons,
    &propinfohslideValue,
    &propinfohslideMin,
    &propinfohslideMax,
    &propinfohslideSmallChange,
    &propinfohslideLargeChange,
    &propinfohslidePictureScale,
    &propinfohslidePictureThumb,
    &propinfohslideTrack,
    &propinfohslidehWnd,
    NULL
};

//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO eventlistHslide_Vb2[] =
{                                
    &Event_Change_Hslide,
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    NULL
};

//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------

MODEL modelHslide_Vb2 =
{
    VB200_VERSION,                 // VB version being used
    MODEL_fFocusOk | MODEL_fArrows |             // MODEL flags
    MODEL_fDesInteract,          				
    (PCTLPROC)HslideCtlProc,    // Control procedure
    CS_VREDRAW | CS_HREDRAW |   // Class style
    CS_BYTEALIGNWINDOW,
    NULL,                 		// Default Window style
    sizeof(HSLIDE),             // cbCtlExtra for HSLIDE structure
    IDBMP_HSLIDE,               // Palette bitmap ID
    "EsHSlide",		            // Default control name
    "EsHSlide",		            // Visual Basic class name
    NULL,                   	// Parent class name
    proplistHslide_Vb2,         // Properties list
    eventlistHslide_Vb2,        // Events list
	IPROP_HSLIDE_LARGECHANGE,	// Default property
	EVENT_HSLIDE_CHANGE,		// Default event
	IPROP_HSLIDE_VALUE,			// Standard property
};

LPMODEL modellistHslide_Vb2[] =
    {
    &modelHslide_Vb2,
    NULL
    };

MODELINFO modelinfoHslide_Vb2 =
    {
    VB200_VERSION, 			// VB version being used
    modellistHslide_Vb2		// MODEL list
    };


#endif  // RC_INVOKED
